
QGIS Application - Bug report #3618

Annotations are not reprojected correctly

2011-03-14 04:30 PM - Mayeul Kauffmann

Status: Closed

Priority: Low

Assignee:

Category: Map Canvas

Affected QGIS version:master Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 13677

Description

Mentioned by Paolo Cavallini on qgis-developer@lists.osgeo.org:

"Text annotations are not reprojected on the fly (they hang around)"

To reproduce:

- Load a layer

- apply on the fly reprojection

- Zoom to layer extent

- add 1 or 2 text annotation in the middle

- change project SRID

- Zoom to layer extent => the annotations are gone

Tested on qgis 1.7.0 r15468M (nightly build, Ubuntu)

Associated revisions

Revision 66a83bd2 - 2015-12-13 12:22 AM - Sebastian Dietrich 

make annotations aware of crs (fixes #3618)

Revision 2982082f - 2015-12-13 02:10 AM - Nyall Dawson

Merge pull request #2537 from SebDieBln/ReprojectAnnotations

Make annotations aware of CRS (fixes #3618)

History

#1 - 2011-12-16 01:48 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#2 - 2012-04-16 06:26 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

#3 - 2012-09-04 12:00 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0
#4 - 2014-06-28 07:38 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#5 - 2015-11-20 05:17 AM - Médéric RIBREUX

- Status changed from Open to Feedback

- Assignee deleted (nobody -)

- Pull Request or Patch supplied set to No

Hello, bug triage...

the bug is still present in QGIS 2.13 master.

#6 - 2015-12-05 02:26 AM - Sebastian Dietrich

See PR 2537 for a solution.

#7 - 2015-12-12 05:11 PM - Nyall Dawson

- Status changed from Feedback to Closed

Fixed in changeset commit:"2982082f12e6201476d3bfe2bcc8447815c5ab8c".

2024-04-19 2/2

https://github.com/qgis/QGIS/pull/2537

